module.exports = (lib) => {
  lib.bot.on('message', (e) => {
    lib.trigger.trigger.forEach((entry,i,a) => {
      if(e.message.match(entry.call) && entry.active == 1) {
        lib.log('trigger: '+entry.name);
        lib.getUserlevel(e.user.getNick(), e.network, e.channel.getName(), (cb) => {
          if(cb.level >= entry.level)
            entry.func(e, cb.level);
          else
            e.reply('no permission, min level '+entry.level+' required');
        });
      }
    });
  });
};